AM263Px MCU+ SDK: CANFD_MCANProtocolStatus Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
CANFD_MCANProtocolStatus Struct Reference
APIs for SOC Specific Device Drivers » APIs for CANFD

## Data Fields
uint32_t | lastErrCode
uint32_t | act
uint32_t | errPassive
uint32_t | warningStatus
uint32_t | busOffStatus
uint32_t | dlec
uint32_t | resi
uint32_t | rbrs
uint32_t | rfdf
uint32_t | pxe
uint32_t | tdcv

## Field Documentation

## ◆ lastErrCode

uint32_t CANFD_MCANProtocolStatus::lastErrCode

Last Error Code Refer enum CANFD_MCANErrCode

## ◆ act

uint32_t CANFD_MCANProtocolStatus::act

Activity - Monitors the module's CAN communication state. refer enum CANFD_MCANCommState

## ◆ errPassive

uint32_t CANFD_MCANProtocolStatus::errPassive

Error Passive 0 = The M_CAN is in the Error_Active state 1 = The M_CAN is in the Error_Passive state

## ◆ warningStatus

uint32_t CANFD_MCANProtocolStatus::warningStatus

Warning Status 0 = Both error counters are below the Error_Warning limit of 96 1 = At least one of error counter has reached the Error_Warning limit of 96

## ◆ busOffStatus

uint32_t CANFD_MCANProtocolStatus::busOffStatus

Bus_Off Status 0 = The M_CAN is not Bus_Off 1 = The M_CAN is in Bus_Off state

## ◆ dlec

uint32_t CANFD_MCANProtocolStatus::dlec

Data Phase Last Error Code Refer enum CANFD_MCANErrCode

## ◆ resi

uint32_t CANFD_MCANProtocolStatus::resi

ESI flag of last received CAN FD Message 0 = Last received CAN FD message did not have its ESI flag set 1 = Last received CAN FD message had its ESI flag set

## ◆ rbrs

uint32_t CANFD_MCANProtocolStatus::rbrs

BRS flag of last received CAN FD Message 0 = Last received CAN FD message did not have its BRS flag set 1 = TLast received CAN FD message had its BRS flag set

## ◆ rfdf

uint32_t CANFD_MCANProtocolStatus::rfdf

Received a CAN FD Message 0 = Since this bit was reset by the CPU, no CAN FD message has been received 1 = Message in CAN FD format with FDF flag set has been received

## ◆ pxe

uint32_t CANFD_MCANProtocolStatus::pxe

Protocol Exception Event 0 = No protocol exception event occurred since last read access 1 = Protocol exception event occurred

## ◆ tdcv

uint32_t CANFD_MCANProtocolStatus::tdcv

Transmitter Delay Compensation Value